#
# spec file for package vlan
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vlan
BuildRequires:  gcc-c++
Url:            http://www.candelatech.com/~greear/vlan.html
Version:        1.9
Release:        1.27
Summary:        802.1q VLAN Implementation for Linux
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Source:         http://www.candelatech.com/~greear/vlan/vlan.%{version}.tar.bz2
Source1:        http://scry.wanfear.com/~greear/vlan/cisco_howto.html.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An 802.1q vlan implementation for Linux. See
http://www.candelatech.com/~greear/vlan.html for more information.



Authors:
--------
    Ben Greear <greearb@candelatech.com>

%prep
%setup -n vlan
cp -p %{S:1} .

%build
make clean
make CCFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall" STRIP=true

%install
make DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,%_sbindir,%{_mandir}/man8/}
install -m755 vconfig   $RPM_BUILD_ROOT/%_sbindir
install -m644 vconfig.8 $RPM_BUILD_ROOT%{_mandir}/man8/
#UsrMerge
ln -sf %_sbindir/vconfig $RPM_BUILD_ROOT/sbin
#EndUsrMerge

%files
%defattr(644,root,root,755)
%doc *.html *.pl CHANGELOG README
%doc %{_mandir}/man8/vconfig.8.gz
%attr(755,root,root) %_sbindir/vconfig
#UsrMerge
%attr(755,root,root) /sbin/vconfig
#EndUsrMerge

%changelog
* Wed Sep 24 2014 mt@suse.com
- Removed obsolete README.SuSE (fate#316521,bnc#888999),
  see ifcfg-vlan(5) manual page for actual informations.
* Wed Feb 15 2012 mt@suse.com
- Corrected last change log entry.
* Mon Jan 30 2012 rschweikert@suse.com
- Changed install of vconfig to /usr/sbin as part of usr merge
  project. With having /usr on a remote fs is supported by
  initrd, thus this does not effect issues reported in (#285472)
  any more.
* Tue Dec 18 2007 mt@suse.de
- Removed obsolete hardware descriptions usage info from README
- Changed to install vconfig in /sbin for /usr on nfs (#285472)
* Mon Nov  6 2006 schwab@suse.de
- Clean debris before building.
* Fri Oct 27 2006 poeml@suse.de
- update to 1.9:
  - Fixed error exit codes to be !0 (makes it behave much better in
    scripts.
  - there are also changes in macvlan_config.c, which we don't
    package though.
* Wed Mar 29 2006 poeml@suse.de
- updated README for usage of hardware descriptions for ETHERDEVICE
  [#150771]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Fri Mar  5 2004 poeml@suse.de
- update to 1.8
- vlan.1.6-strings.patch dropped, is fixed upstreams
* Thu Feb 26 2004 hmacht@suse.de
- added option norootforbuild in specfile
* Thu Jul 24 2003 poeml@suse.de
- update to 1.7m
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Wed Jul 17 2002 okir@suse.de
- added README describing sysconfig/network hooks for VLAN
* Thu Apr 11 2002 ro@suse.de
- up to version 1.6 to fix compile issues
* Sat Feb  2 2002 poeml@suse.de
- initial package...
